org.codehaus.groovy.control.messages

## Class LocatedMessage

- java.lang.Object
- - org.codehaus.groovy.control.messages.Message
  - - org.codehaus.groovy.control.messages.SimpleMessage
    - - org.codehaus.groovy.control.messages.LocatedMessage

- Direct Known Subclasses:
    WarningMessage

      public class LocatedMessage
      extends SimpleMessage

  A base class for compilation messages.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CSTNode` | `context`

    - ### Fields inherited from class org.codehaus.groovy.control.messages.SimpleMessage

      `data, message, owner`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocatedMessage(java.lang.String message, CSTNode context, SourceUnit source)`
    `LocatedMessage(java.lang.String message, java.lang.Object data, CSTNode context, SourceUnit source)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(java.io.PrintWriter writer, Janitor janitor)` Writes the message to the specified PrintWriter.

    - ### Methods inherited from class org.codehaus.groovy.control.messages.SimpleMessage

      `getMessage`

    - ### Methods inherited from class org.codehaus.groovy.control.messages.Message

      `create, create, create, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          protected CSTNode context

  - ### Constructor Detail

    - #### LocatedMessage

          public LocatedMessage(java.lang.String message,
                                CSTNode context,
                                SourceUnit source)

    - #### LocatedMessage

          public LocatedMessage(java.lang.String message,
                                java.lang.Object data,
                                CSTNode context,
                                SourceUnit source)

  - ### Method Detail

    - #### write

          public void write(java.io.PrintWriter writer,
                            Janitor janitor)

      Description copied from class: `Message`
      Writes the message to the specified PrintWriter. The supplied ProcessingUnit is the unit that holds this Message.
      Overrides:
        `write` in class `SimpleMessage`